// main.cpp - Demoing our SyncReader or AsyncReader class

#include <iostream>
#include <chrono>
#include <thread>

#include "sync_reader.h"
// #include "async_reader.h"

int main()
{
    constexpr int num_to_read = 25;

    SyncReader reader;
    // AsyncReader reader;
    
    for (auto i = 0; i < num_to_read; i++)
    {
        reader.getInt([](int i){ std::cout << i << std::endl; });
        std::this_thread::sleep_for(std::chrono::milliseconds{100});
    }

    return EXIT_SUCCESS;
}
